get
https://{subdomain}.workable.com/spi/v3/permission_sets
Returns a collection of your account permission sets. Required scope: r_account. Accessible with all token types.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
This endpoint usesr_accountscope which can be enabled through the Integrations section found within the Settings menu.
Results
Calling the /permission_sets endpoint will return a collection of the defined permission_sets for the account. An example of the response follows:
[
{
"id": "1d16",
"name": "custom.b954b6007d8a4f_e7252cddae5345d18",
"label": {
"en": "IT Admin"
},
"description": {
"en": "A test custom role for the IT admins"
}
},
{
"id": "1d2f",
"name": "custom.b954b6007d8a4f_0e1b9e25bf9b4f9c",
"label": {
"en": "Simpler Admin"
},
"description": {
"en": "A test custom role for the users with specific admin role"
}
}
]Each permission_set will have the following keys:
| key | type | description |
|---|---|---|
| id | string | The unique identifier for the permission set. |
| name | string | The unique reference name. Important: Use this specific value (not the id or label) when assigning permissions to a member, such as when inviting new members or updating the roles of existing members. |
| label | object | The display title of the permission set. This is a dictionary object containing localized strings, where the key is the language code (e.g., en) and the value is the title in that language. |
| description | object | A summary of the permission set's purpose. Like label, this is a dictionary object mapping language codes to localized description text. |
